package com.yihu.jw.entity.hospital.family;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "wlyy_patient_family_member")
public class WlyyPatientFamilyMemberDO extends UuidIdentityEntityWithOperator {
    /*
     *居民code
     */
    private String patient;
    /*
     *家庭成员code
     */
    private String familyMember;
    /*
     *家庭关系
     */
    private String familyRelation;
    /*
     *是否授权
     */
    private Integer isAuthorize;
    /*
     *家庭关系名称
     */
    private String familyRelationName;

    /*
     *是否删除
     */
    private Integer isDel;

    private String cardType;
    private String cardNo;

    private String yktFamilyId;
    private String clinicid;

    private String mobile;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getClinicid() {
        return clinicid;
    }

    public void setClinicid(String clinicid) {
        this.clinicid = clinicid;
    }

    public String getYktFamilyId() {
        return yktFamilyId;
    }

    public void setYktFamilyId(String yktFamilyId) {
        this.yktFamilyId = yktFamilyId;
    }

    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getFamilyMember() {
        return familyMember;
    }

    public void setFamilyMember(String familyMember) {
        this.familyMember = familyMember;
    }

    public String getFamilyRelation() {
        return familyRelation;
    }

    public void setFamilyRelation(String familyRelation) {
        this.familyRelation = familyRelation;
    }

    public Integer getIsAuthorize() {
        return isAuthorize;
    }

    public void setIsAuthorize(Integer isAuthorize) {
        this.isAuthorize = isAuthorize;
    }

    public String getFamilyRelationName() {
        return familyRelationName;
    }

    public void setFamilyRelationName(String familyRelationName) {
        this.familyRelationName = familyRelationName;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }
}
